WDATWD(4)

NAME
wdatwd - device driver for the ACPI WDAT based watchdog interrupt timer

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device wdatwd

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    wdatwd_load="YES"

DESCRIPTION
The wdatwd driver provides watchdog(4) support for the watchdog interrupt timer in ACPI WDAT (Watchdog Action Table).

Since WDAT itself is an abstraction for the real hardware such as ICH WDT, it must be noted that only one driver can be used at a time, either the real hardware specific driver or this driver.

SYSCTL VARIABLES
The following read-only sysctl(8) variables are available:

dev.wdatwd.%d.running
    The status of the watchdog timer. 0 if not running, or 1 if running.

dev.wdatwd.%d.timeout
    The current value of the watchdog timeout in millisecond. This can be 0 on some systems, and the zero value means that the default timeout is used.

dev.wdatwd.%d.timeout_configurable
    Whether the timeout is configurable or not. It is 0 if configurable or any positive value if not.

dev.wdatwd.%d.timeout_default
    The default value of the watchdog timeout in millisecond if any.

SEE ALSO
ichwd(4), watchdog(4), watchdog(8), watchdogd(8), watchdog(9) Hardware Watchdog Timers Design Specification, Requirements for Hardware Watchdog Timers Supported by Microsoft(R) Windows Vista(R) and Microsoft Windows Server(R) 2008 Operating Systems, Microsoft Corporation, http://msdn.microsoft.com/en-us/windows/hardware/gg463320.aspx, 2006.

AUTHORS
-nosplit The wdatwd driver was written by Tetsuya Uemura <t_uemura@macome.co.jp> of MACOME, Corporation.